Bug 187054 - sysutils/vils: Update MASTER_SITES and WWW: line
Summary: sysutils/vils: Update MASTER_SITES and WWW: line
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-25 18:10 UTC by tkato432
Modified: 2014-02-27 09:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.13 KB, patch)
2014-02-25 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-25 18:10:05 UTC
- Update MASTER_SITES and WWW: line
- Add LICENSE
- Support shebangfix USES macro
Comment 1 Edwin Groothuis freebsd_committer 2014-02-25 18:12:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-27 09:03:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 09:03:59 UTC
Author: miwi
Date: Thu Feb 27 09:03:51 2014
New Revision: 346277
URL: http://svnweb.freebsd.org/changeset/ports/346277
QAT: https://qat.redports.org/buildarchive/r346277/

Log:
  - Update MASTER_SITES and WWW: line
  - Add LICENSE
  - Support shebangfix USES macro
  
  PR:		187054

Modified:
  head/sysutils/vils/Makefile
  head/sysutils/vils/pkg-descr

Modified: head/sysutils/vils/Makefile
==============================================================================
--- head/sysutils/vils/Makefile	Thu Feb 27 09:02:56 2014	(r346276)
+++ head/sysutils/vils/Makefile	Thu Feb 27 09:03:51 2014	(r346277)
@@ -3,29 +3,34 @@
 
 PORTNAME=	vils
 PORTVERSION=	20020228
+PORTREVISION=	1
 CATEGORIES=	sysutils
-MASTER_SITES=	http://www.secnetix.de/~olli/scripts/
+MASTER_SITES=	http://www.secnetix.de/~olli/scripts/Generic-utilities/
 DISTFILES=	vils
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Use your favorite editor to rename files
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-10
+LICENSE=	BSD
 
-BUILD_DEPENDS=	zsh:${PORTSDIR}/shells/zsh
-RUN_DEPENDS:=	${BUILD_DEPENDS}
+RUN_DEPENDS=	zsh:${PORTSDIR}/shells/zsh
 
-PLIST_FILES=	bin/${PORTNAME}
+NO_BUILD=	yes
+NO_WRKSUBDIR=	yes
 
-do-extract:
-	${MKDIR} ${WRKDIR}
-	${CP} ${DISTDIR}/vils ${WRKDIR}/vils
+EXTRACT_CMD=	${CP}
+EXTRACT_BEFORE_ARGS=	-f
+EXTRACT_AFTER_ARGS=	${WRKDIR}
+
+USES=		shebangfix
+SHEBANG_FILES=	vils
+SHEBANG_LANG=	zsh
+zsh_OLD_CMD=	/bin/zsh
+zsh_CMD=	${LOCALBASE}/bin/zsh
 
-do-build:
-	@${REINPLACE_CMD} -e 's/\/bin\/zsh/\/usr\/local\/bin\/zsh/' ${WRKDIR}/vils
+PLIST_FILES=	bin/${PORTNAME}
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKDIR}/vils ${STAGEDIR}${PREFIX}/bin
+	(cd ${WRKSRC} && ${INSTALL_SCRIPT} vils ${STAGEDIR}${PREFIX}/bin)
 
 .include <bsd.port.mk>

Modified: head/sysutils/vils/pkg-descr
==============================================================================
--- head/sysutils/vils/pkg-descr	Thu Feb 27 09:02:56 2014	(r346276)
+++ head/sysutils/vils/pkg-descr	Thu Feb 27 09:03:51 2014	(r346277)
@@ -1,6 +1,8 @@
-This little script enables you to ``edit an ls'', i.e. it will load a list of
-filenames into your favourite editor (presumably vi).  Any changes to the
-filenames will result in renaming the respective files. Read the comments in
-the script for details.
+This little script enables you to ``edit an ls'', i.e. it will load a
+list of filenames into your favourite editor (presumably vi). Any
+changes to the filenames will result in renaming the respective files.
+Read the comments in the script for details.
 
 BSD-style copyright and standard disclaimer applies.
+
+WWW: http://www.secnetix.de/~olli/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"